#pragma once
#ifndef QTWIDGETSCLASS_FARSOURCESETTING_H
#define QTWIDGETSCLASS_FARSOURCESETTING_H

#include "AllHead.h"
#include <QDialog>
#include "ui_QtWidgetsClass_FarSourceSetting.h"

class QtWidgetsClass_FarSourceSetting : public QDialog
{
	Q_OBJECT
public:
	QtWidgetsClass_FarSourceSetting(QWidget *parent = nullptr);
	~QtWidgetsClass_FarSourceSetting();

	size_t getThetaPoints();
	size_t getPhiPoints();
	QString getFFEPath();


public slots:
	void on_pushButton_OK_clicked();
	void on_pushButton_Cancel_clicked();
	void on_pushButton_select_clicked();

signals:
	void setResultSelected(size_t thetaPoints, size_t phiPoints, QString ffePath);

private:
	Ui::QtWidgetsClass_FarSourceSettingClass ui;
};






#endif
